Bug 612548 - [abrt] abrt-addon-kerneloops-1.1.8-2.el6: raise: Process /usr/bin/dumpoops was killed by signal 6 (SIGABRT)
Summary: [abrt] abrt-addon-kerneloops-1.1.8-2.el6: raise: Process /usr/bin/dumpoops wa...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt   
(Show other bugs)
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Denys Vlasenko
QA Contact: Michal Nowak
URL:
Whiteboard: abrt_hash:d37b213576d710db94c92662ced...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-08 13:49 UTC by Michal Nowak
Modified: 2013-03-08 02:10 UTC (History)
9 users (show)

Fixed In Version: abrt-1.1.12-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:33:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.08 KB, text/plain)
2010-07-08 13:49 UTC, Michal Nowak
no flags Details
File: reproduce (2.67 KB, text/plain)
2010-07-08 13:49 UTC, Michal Nowak
no flags Details
Proposed patch (1.72 KB, patch)
2010-07-15 15:59 UTC, Denys Vlasenko
no flags Details | Diff

Description Michal Nowak 2010-07-08 13:49:23 UTC
abrt version: 1.1.8
architecture: x86_64
Attached file: backtrace
cmdline: dumpoops -d core.4190
component: abrt
crash_function: raise
executable: /usr/bin/dumpoops
kernel: 2.6.32-44.el6.x86_64
package: abrt-addon-kerneloops-1.1.8-2.el6
rating: 4
reason: Process /usr/bin/dumpoops was killed by signal 6 (SIGABRT)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)
Attached file: reproduce
time: 1278596394
uid: 0

comment
-----
dumpoops crashes on any file, e.g.

FILE: core.4503
dumpoops: found oopses: 1
dumpoops: dumping oopses
terminate called after throwing an instance of 'CABRTException'
Aborted (core dumped)

The more files are in the directory the more likely it will crash.

Comment 1 Michal Nowak 2010-07-08 13:49:25 UTC
Created attachment 430366 [details]
File: backtrace

Comment 2 Michal Nowak 2010-07-08 13:49:28 UTC
Created attachment 430367 [details]
File: reproduce

Comment 6 Denys Vlasenko 2010-07-15 15:59:39 UTC
Created attachment 432123 [details]
Proposed patch

Comment 7 Denys Vlasenko 2010-07-19 16:50:23 UTC
Applied to abrt git, will be in next build (abrt-1.1.11).

Comment 10 releng-rhel@redhat.com 2010-11-10 19:33:37 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.